package main;

import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class CelsiusFahrenheitConverterGUI extends JFrame
{
   private JTextField valueField;
   private JTextField convertedField;
   private JButton toCelsiusButton;
   private JButton toFahrenheitButton;



   public CelsiusFahrenheitConverterGUI()
   {
      super("Celsius-Fahrenheit Converter");
      
      init();
      
      pack();
      setVisible(true);
      setLocationRelativeTo(null);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
   }
   
   

   private void init()
   {
      JPanel valuePanel = new JPanel();
      FlowLayout flowLayout = new FlowLayout();
      valuePanel.setLayout(flowLayout);
      
      JLabel valueLabel = new JLabel("Value: ");
      valueField = new JTextField(15);
      
      valuePanel.add(valueLabel);
      valuePanel.add(valueField);
      
      Container contentPane = getContentPane();
      contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.PAGE_AXIS));
      
      contentPane.add(valuePanel);
      
      JPanel buttonPanel = new JPanel();
      buttonPanel.setLayout(new FlowLayout());
      toCelsiusButton = new JButton("ToCelsius");
      toFahrenheitButton = new JButton("ToFahrenheit");
      
      buttonPanel.add(toCelsiusButton);
      buttonPanel.add(toFahrenheitButton);
      
      contentPane.add(buttonPanel);
      
      JPanel convertedPanel = new JPanel();
      convertedPanel.setLayout(new FlowLayout());
      JLabel convertLabel = new JLabel("Converted:");
      convertedField = new JTextField(15);
      convertedField.setEditable(false);
      convertedPanel.add(convertLabel);
      convertedPanel.add(convertedField);
      
      contentPane.add(convertedPanel);
      
   }



   public JTextField getValueField()
   {
      return valueField;
   }



   public JTextField getConvertedField()
   {
      return convertedField;
   }



   public JButton getToCelsiusButton()
   {
      return toCelsiusButton;
   }



   public JButton getToFahrenheitButton()
   {
      return toFahrenheitButton;
   }



   private void setValueField(JTextField valueField)
   {
      this.valueField = valueField;
   }



   private void setConvertedField(JTextField convertedField)
   {
      this.convertedField = convertedField;
   }



   private void setToCelsiusButton(JButton toCelsiusButton)
   {
      this.toCelsiusButton = toCelsiusButton;
   }



   private void setToFahrenheitButton(JButton toFahrenheitButton)
   {
      this.toFahrenheitButton = toFahrenheitButton;
   }
}
