package net.ulno.sm;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JTextField;
import javax.swing.JLabel;
import java.awt.GridBagLayout;
import java.awt.Dimension;
import javax.swing.JButton;

public class SimpleDialog extends JFrame {

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JTextField inputField = null;
	private JLabel resultLabel = null;
	private JPanel jPanel = null;
	private JButton toFahrenheitButton = null;
	private JButton toCelsiusButton = null;

	/**
	 * This is the default constructor
	 */
	public SimpleDialog() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 200);
		this.setContentPane(getJContentPane());
		this.setTitle("JFrame");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			resultLabel = new JLabel();
			resultLabel.setText("JLabel");
			resultLabel.setName("resultLabel");
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getInputField(), BorderLayout.NORTH);
			jContentPane.add(resultLabel, BorderLayout.CENTER);
			jContentPane.add(getJPanel(), BorderLayout.SOUTH);
		}
		return jContentPane;
	}

	/**
	 * This method initializes inputField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getInputField() {
		if (inputField == null) {
			inputField = new JTextField();
			inputField.setName("inputField");
		}
		return inputField;
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jPanel = new JPanel();
			jPanel.setLayout(new BorderLayout());
			jPanel.setPreferredSize(new Dimension(20, 20));
			jPanel.add(getToFahrenheitButton(), BorderLayout.WEST);
			jPanel.add(getToCelsiusButton(), BorderLayout.EAST);
		}
		return jPanel;
	}

	/**
	 * This method initializes toFahrenheitButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getToFahrenheitButton() {
		if (toFahrenheitButton == null) {
			toFahrenheitButton = new JButton();
			toFahrenheitButton.setText("To Fahrenheit");
		}
		return toFahrenheitButton;
	}

	/**
	 * This method initializes toCelsiusButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getToCelsiusButton() {
		if (toCelsiusButton == null) {
			toCelsiusButton = new JButton();
			toCelsiusButton.setText("To Celsius");
		}
		return toCelsiusButton;
	}

}
