package net.ulno.sm;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;


public class TemperatureController {
	private Temperature tempModel;
	private SimpleDialog simpleGui;

	public TemperatureController()
	{
	}
	
	public void start()
	{
		// create model
		tempModel = new Temperature();
		
		// Create gui
		simpleGui = new SimpleDialog();
		
		// Register listeners
		tempModel.addPropertyChangeListener(
				Temperature.PROPERTY_TEMPERATURE_VALUE, 
				new PropertyChangeListener() {
					
					@Override
					public void propertyChange(PropertyChangeEvent arg0) {
						refreshUI();
					}

				});
		simpleGui.getToCelsiusButton().
			addActionListener(new ActionListener() {

				@Override
				public void actionPerformed(ActionEvent arg0) {
					String value = simpleGui.getInputField().getText();
					tempModel.convertToCelsius(Float.valueOf(value));
				}
			});

		simpleGui.getToFahrenheitButton().
			addActionListener(new ActionListener() {

				@Override
				public void actionPerformed(ActionEvent arg0)
				{
					String value = simpleGui.getInputField().getText();
					tempModel.convertToFahrenheit(Float.valueOf(value));
				}
			});
		
	}

	private void refreshUI() {
		float temperatureValue = tempModel.getTemperatureValue();
		
		simpleGui.getResultLabel().
			setText(String.valueOf(temperatureValue));
	};


}
